local assets=
{
	Asset("ANIM", "anim/grenade.zip"),
    Asset("ATLAS", "images/inventoryimages/grenade.xml"),
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    
    inst.AnimState:SetBank("grenade")
    inst.AnimState:SetBuild("grenade")
    inst.AnimState:PlayAnimation("idle")
    MakeInventoryPhysics(inst)
    
    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

    inst:AddComponent("inspectable")
local function onhit(inst, attacker, target)
    SpawnPrefab("collapse_small").Transform:SetPosition(target.Transform:GetWorldPosition())
    SpawnPrefab("explode_small").Transform:SetPosition(target.Transform:GetWorldPosition())
    local pos = Vector3(target.Transform:GetWorldPosition())
    GetClock():DoLightningLighting()
    GetPlayer().components.playercontroller:ShakeCamera(target, "FULL", 0.7, 0.02, .5, 40)
    inst.components.combat:DoAreaAttack(target, 8)
    inst:Remove()
end
local function onthrown(inst, data)
    inst.AnimState:SetOrientation( ANIM_ORIENTATION.OnGround )
end
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(200)
    inst.components.weapon:SetRange(10, 10)
    inst:AddComponent("combat")
    inst.components.combat:SetDefaultDamage(200)
    inst.components.combat.playerdamagepercent = 0
    inst:AddComponent("equippable")
    inst.components.equippable.equipstack = true
    inst:AddComponent("projectile")
    inst.components.projectile:SetSpeed(30)
    inst.components.projectile:SetOnHitFn(onhit)
    inst:ListenForEvent("onthrown", onthrown)    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/grenade.xml"
    inst:AddComponent("selfstacker")
    return inst
end
STRINGS.NAMES.GRENADE = "Grenade"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GRENADE = "A huge explosion."
return Prefab( "common/inventory/grenade", fn, assets) 
